Subject: Re: bug#44105: The included file "help2man" is too old; correction
From: Pádraig Brady <[email-masked]>
To: Brendan O'Dea <[email-masked]>, Bjarni Ingi Gislason <[email-masked]>
Cc: [email-masked]
Date: Sun, 25 Oct 2020 13:33:20 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 21/10/2020 01:02, Brendan O'Dea wrote:
> On Wed, 21 Oct 2020 at 08:31, Bjarni Ingi Gislason <[email-masked]> wrote:
>> On Tue, Oct 20, 2020 at 04:46:05PM +0000, Bjarni Ingi Gislason wrote:
>>>    The included file "man/help2man" is version 1.47.3 from 2015,
>>> while the current version is 1.47.16 from 2020.
>>
>>    This was ment to go to "bug-coreutils..."!
> 
> coreutils does include a copy based on 1.47.3, with some minor changes
> to handle the way that online documentation and info pages are
> referenced in the generated manual page.
> 
> Note that minor releases (.3 vs .16 in this case) should only affect
> files outside of the help2man program such as updated translations, or
> Debian packaging.
> 
> For coreutils, which doesn't actually install help2man or use the
> translation feature, updating to the latest minor version won't
> actually change the contents of the script (other than having to
> re-apply the local changes).

Pushed the resync at:
https://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=f803c0e92

I confirmed this doesn't change the man pages produced.

thanks,
Pádraig